PWCONV(8)

NOM
pwconv, pwunconv, grpconv, grpunconv - Convertir vers ou depuis les fichiers de mots de passe ou de groupe cachés

SYNOPSIS

pwconv [options]

pwunconv [options]

grpconv [options]

grpunconv [options]

DESCRIPTION

The pwconv command creates shadow from passwd and an optionally existing shadow.

The pwunconv command creates passwd from passwd and shadow and then removes shadow.

The grpconv command creates gshadow from group and an optionally existing gshadow.

The grpunconv command creates group from group and gshadow and then removes gshadow.

These four programs all operate on the normal and shadow password and group files: /etc/passwd, /etc/group, /etc/shadow, and /etc/gshadow.

Each program acquires the necessary locks before conversion. pwconv and grpconv are similar. First, entries in the shadowed file which don't exist in the main file are removed. Then, shadowed entries which don't have `x' as the password in the main file are updated. Any missing shadowed entries are added. Finally, passwords in the main file are replaced with `x'. These programs can be used for initial conversion as well to update the shadowed file if the main file is edited by hand.

pwconv will use the values of PASS_MIN_DAYS, PASS_MAX_DAYS, and PASS_WARN_AGE from /etc/login.defs when adding new entries to /etc/shadow.

Likewise pwunconv and grpunconv are similar. Passwords in the main file are updated from the shadowed file. Entries which exist in the main file but not in the shadowed file are left alone. Finally, the shadowed file is removed. Some password aging information is lost by pwunconv. It will convert what it can.

OPTIONS

The options which apply to the pwconv, pwunconv, grpconv, and grpunconv commands are:

-h, --help
    Afficher un message d'aide et quitter.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

BOGUES

Errors in the password or group files (such as invalid or duplicate entries) may cause these programs to loop forever or fail in other strange ways. Please run pwck and grpck to correct any such errors before converting to or from shadow passwords or groups.

CONFIGURATION

The following configuration variable in /etc/login.defs changes the behavior of grpconv and grpunconv:

The following configuration variables in /etc/login.defs change the behavior of pwconv:

FICHIERS

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VOIR AUSSI

grpck(8), login.defs(5), pwck(8).